import java.util.Scanner;

public class Vectores 
  
{
  double x=0;
  double y=0;
  
  static Scanner teclado= new Scanner(System.in);
  
  
  public static void main(String[] args) 
  { 
    System.out.println("Operaciones con vectores en el plano");
      System.out.print("Vector"+  ":");
      
      Vectores v1= new Vectores();
     
    if (v1.leerVector()==true)
    {  
      System.out.print("V"+ ": (x,y)= ");
     
v1.imprimir();
   
    System.out.print("; (r, angulo) = ");
    System.out.print("("+ v1.calcularNorma() +","+ v1.calcularAngulo()+")");
     }  
    
     Vectores v2= new Vectores();
     
    if (v2.leerVector()==true)
    {  
      System.out.print("V"+ ": (x,y)= ");
     
v2.imprimir();
   
    System.out.print("; (r, angulo) = ");
    System.out.print("("+ v2.calcularNorma() +","+ v2.calcularAngulo()+")");
     }      
  }
  
  
  public boolean leerVector()
  { 
    x=teclado.nextDouble();
    System.out.print(" ");
    y=teclado.nextDouble();
    if (x!=0 && y!=0)
      return true;
    else 
      return false;
  }
  
  
  public void imprimir()
  {
    System.out.print( toString() );
  }
  
  
  public String toString()
  {
    
    return String.format("(%,f,%,f)", x, y);
  
  }
  
  public  double calcularNorma()
  { 
    double norma= Math.sqrt((x*x)+(y*y));
    return norma;
    
  }
  
  public  double calcularAngulo()
  { 
    double angulo=Math.atan2(y,x);
    return angulo;
    
  }
  
  
  public Vectores sumar(Vectores otro)
  {
    Vectores resultado =new Vectores();
    resultado.x= (this.x + otro.x);
    resultado.y= (this.y + otro.y);
    
    return resultado;
  }
  
  
  public Vectores restar(Vectores otro)
  {
    Vectores resultado =new Vectores();
    resultado.x= (this.x - otro.x);
    resultado.y= (this.y - otro.y);
    
    return resultado;
  }
  
  
  
  
}
